Create Dynamic Virtual Account
curl --request POST \
--url https://api.spotflow.co/api/v1/virtual-accounts/temporary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "NGN",
"accountName": "Quantum Technologies",
"amount": 5,
"expiresIn": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'NGN',
accountName: 'Quantum Technologies',
amount: 5,
expiresIn: 123
})
};
fetch('https://api.spotflow.co/api/v1/virtual-accounts/temporary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/virtual-accounts/temporary"
payload = {
"currency": "NGN",
"accountName": "Quantum Technologies",
"amount": 5,
"expiresIn": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/virtual-accounts/temporary"
payload := strings.NewReader("{\n \"currency\": \"NGN\",\n \"accountName\": \"Quantum Technologies\",\n \"amount\": 5,\n \"expiresIn\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/virtual-accounts/temporary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'NGN',
'accountName' => 'Quantum Technologies',
'amount' => 5,
'expiresIn' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.spotflow.co/api/v1/virtual-accounts/temporary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"NGN\",\n \"accountName\": \"Quantum Technologies\",\n \"amount\": 5,\n \"expiresIn\": 123\n}")
.asString();{
"id": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankName": "Testbank MFB",
"mode": "live",
"lifeCycle": "temporary"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Dynamic Virtual Accounts
Create Dynamic Virtual Account
Dynamic virtual accounts don’t act as independent money storage - they simply channel incoming payments straight to your account. These virtual accounts cannot process outgoing payments or be linked to payment terminals. Since dynamic virtual accounts do not serve as containers for funds, there’s no need for BVN verification during setup.
POST
/
virtual-accounts
/
temporary
Create Dynamic Virtual Account
curl --request POST \
--url https://api.spotflow.co/api/v1/virtual-accounts/temporary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "NGN",
"accountName": "Quantum Technologies",
"amount": 5,
"expiresIn": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'NGN',
accountName: 'Quantum Technologies',
amount: 5,
expiresIn: 123
})
};
fetch('https://api.spotflow.co/api/v1/virtual-accounts/temporary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/virtual-accounts/temporary"
payload = {
"currency": "NGN",
"accountName": "Quantum Technologies",
"amount": 5,
"expiresIn": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/virtual-accounts/temporary"
payload := strings.NewReader("{\n \"currency\": \"NGN\",\n \"accountName\": \"Quantum Technologies\",\n \"amount\": 5,\n \"expiresIn\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/virtual-accounts/temporary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'NGN',
'accountName' => 'Quantum Technologies',
'amount' => 5,
'expiresIn' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.spotflow.co/api/v1/virtual-accounts/temporary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"NGN\",\n \"accountName\": \"Quantum Technologies\",\n \"amount\": 5,\n \"expiresIn\": 123\n}")
.asString();{
"id": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankName": "Testbank MFB",
"mode": "live",
"lifeCycle": "temporary"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Adding Test Funds
On test mode with your test keys, you can easily add fake funds to the jollof bank account number created for you using our Funds Simulator App. Note that this is for NGN and GHS only.See the full guide on Adding Fake Funds For Testing.
Authorizations
Body
application/json
Response
A JSON array of dynamic virtual account objects.
⌘I

